/********************************************************************
   TORNADO-PX/DDC4 DCM Demo Utility.
   WDT test. rev.1A
   (C) MicroLAB Systems, 2000


   Description:
   ------------
	This demo continuously reboots DSP on the WDT expiration. The
	DSP RESET LED will flash with the [eriod about 2 sec.


   TORNADO platform:
   -----------------
	This demo does not utilize any host TORNADO resources
	and runs in stand-alone mode. MIRAGE JTAG emulator and
	TI CCS tools are required to recompile this demo and to
	upload code to the on-board DSP environment.

  Copyright:
  ----------
	This demo is distributed free of charge and as it is without
	any obligation from MicroLAB Systems.


  Demo and Signal Parameters:
  ---------------------------
        on-board configuration switch:
          - SA-mode
	  - no BOOT mode
	  - emulator must be put into the RUN FREE mode after
	    uploading the exection code
***********************************************************************/

#include "ddc4_dsp.h"
#include "ddc4_dx.h"



void init_cpu()
 {
	TPXDDC4_init_cpu();
 }



main()
{ int i;

   init_cpu();

   TPXDDC4_set_wdt_enable(TPXDDC4_ON);
   while(1);
}



